Closed Bug 717871 Opened 8 years ago Closed 8 years ago

[SeaMonkey] mochitest-plain-5: "test_contextmenu_nested.xul | finished in a non-clean fashion" (in /tests/toolkit/components/satchel/test/test_privbrowsing.html)

Categories

(Toolkit :: XUL Widgets, defect, major)

defect
Not set
major

Tracking

()

VERIFIED FIXED
mozilla12
Tracking Status
firefox9 --- wontfix
firefox10 --- wontfix
firefox11 --- wontfix

People

(Reporter: sgautherie, Assigned: ehsan)

References

(Blocks 1 open bug, )

Details

(Keywords: regression, Whiteboard: [perma-orange])

Attachments

(1 file)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326430863.1326431795.7896.gz
OS X 10.6 comm-central-trunk debug test mochitests-5/5 on 2012/01/12 21:01:03
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326430559.1326431467.7607.gz
OS X 10.5 comm-central-trunk debug test mochitests-5/5 on 2012/01/12 20:55:59
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326434859.1326435851.14912.gz
WINNT 5.2 comm-central-trunk debug test mochitests-5/5 on 2012/01/12 22:07:39
{
9598 INFO TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_contextmenu_nested.xul | finished in a non-clean fashion (in /tests/toolkit/components/satchel/test/test_privbrowsing.html)
}

Bug 668728 caused/exposed this...
Attached patch Patch (v1)Splinter Review
Assignee: nobody → ehsan
Status: NEW → ASSIGNED
Attachment #588444 - Flags: review?(gavin.sharp)
Attachment #588444 - Flags: review?(gavin.sharp) → review+
Comment on attachment 588444 [details] [diff] [review]
Patch (v1)

Review of attachment 588444 [details] [diff] [review]:
-----------------------------------------------------------------

::: toolkit/components/passwordmgr/test/test_privbrowsing.html
@@ +228,5 @@
>  
>  
>  var pb = get_PBSvc();
>  if (!pb) { // Private Browsing might not be available
>    ok(true, "Private browsing service is not available");

Nit: while there, could you use "todo(false", in both test?
Summary: [SeaMonkey] mochitest-plain-5: "test_contextmenu_nested.xul | finished in a non-clean fashion" → [SeaMonkey] mochitest-plain-5: "test_contextmenu_nested.xul | finished in a non-clean fashion" (in /tests/toolkit/components/satchel/test/test_privbrowsing.html)
(In reply to Serge Gautherie (:sgautherie) from comment #2)
> Comment on attachment 588444 [details] [diff] [review]
> Patch (v1)
> 
> Review of attachment 588444 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> ::: toolkit/components/passwordmgr/test/test_privbrowsing.html
> @@ +228,5 @@
> >  
> >  
> >  var pb = get_PBSvc();
> >  if (!pb) { // Private Browsing might not be available
> >    ok(true, "Private browsing service is not available");
> 
> Nit: while there, could you use "todo(false", in both test?

Implementing PB support in all of the Mozilla-based applications is not a todo item.  Think Thunderbird for example.  :-)
(In reply to Ehsan Akhgari [:ehsan] from comment #3)
> > Nit: while there, could you use "todo(false", in both test?
> 
> Implementing PB support in all of the Mozilla-based applications is not a
> todo item.  Think Thunderbird for example.  :-)

Right. Though maybe special-case TB? (As we're special-casing SM sometimes.)
https://hg.mozilla.org/integration/mozilla-inbound/rev/8b1714ea887c
Target Milestone: --- → mozilla12
(In reply to Serge Gautherie (:sgautherie) from comment #4)
> (In reply to Ehsan Akhgari [:ehsan] from comment #3)
> > > Nit: while there, could you use "todo(false", in both test?
> > 
> > Implementing PB support in all of the Mozilla-based applications is not a
> > todo item.  Think Thunderbird for example.  :-)
> 
> Right. Though maybe special-case TB? (As we're special-casing SM sometimes.)

I don't think it's worth it, if you want, please file another bug.
https://hg.mozilla.org/mozilla-central/rev/8b1714ea887c
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey&maxdate=1326867500&hours=24&legend=0&norules=1
2012/01/16 23:17:38 - 2012/01/18 01:16:10

V.Fixed
Status: RESOLVED → VERIFIED
No longer depends on: OrangeFactorCommApps
You need to log in before you can comment on or make changes to this bug.